package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * NumberRegistrationResult
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class NumberRegistrationResult   {
  @JsonProperty("registrationResultList")
  @Valid
  private List<TelephoneNumberWithStatusVo> registrationResultList = null;

  public NumberRegistrationResult registrationResultList(List<TelephoneNumberWithStatusVo> registrationResultList) {
    this.registrationResultList = registrationResultList;
    return this;
  }

  public NumberRegistrationResult addRegistrationResultListItem(TelephoneNumberWithStatusVo registrationResultListItem) {
    if (this.registrationResultList == null) {
      this.registrationResultList = new ArrayList<>();
    }
    this.registrationResultList.add(registrationResultListItem);
    return this;
  }

  /**
   * The list of registration result.
   * @return registrationResultList
  */
  @ApiModelProperty(value = "The list of registration result.")

  @Valid

  public List<TelephoneNumberWithStatusVo> getRegistrationResultList() {
    return registrationResultList;
  }

  public void setRegistrationResultList(List<TelephoneNumberWithStatusVo> registrationResultList) {
    this.registrationResultList = registrationResultList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    NumberRegistrationResult numberRegistrationResult = (NumberRegistrationResult) o;
    return Objects.equals(this.registrationResultList, numberRegistrationResult.registrationResultList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(registrationResultList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class NumberRegistrationResult {\n");
    
    sb.append("    registrationResultList: ").append(toIndentedString(registrationResultList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

